<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.purchaseOrder.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!purchaseOrder.idOrder">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="purchaseOrder.idOrder" readonly />
            </div>

            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_orderNumber">Nomor PO<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_orderNumber" id="field_orderNumber" [(ngModel)]="purchaseOrder.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrder.dateOrder" for="field_dateOrder">Date Order<span style="color:red;"> *</span></label>
                        <input type="text" class="form-control" name="field_dateOrder" id="field_dateOrder" [(ngModel)]="purchaseOrder.dateOrder" readonly />
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="field_orderType">Order Type</label>
                        <select class="form-control" id="field_orderType" name="orderType" [(ngModel)]="purchaseOrder.orderTypeId" disabled>
                            <option [ngValue]="null"></option>
                        </select>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="field_statusType">Status</label>
                        <select class="form-control" id="field_statusType" name="statusType" [(ngModel)]="purchaseOrder.currentStatus" disabled="">
                            <option [ngValue]="null"></option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.purchaseOrder.vendor" for="field_vendor">Vendor</label>
                        <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="purchaseOrder.vendorId" disabled>
                            <option [ngValue]="null"></option>
                            <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.idVendor}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.purchaseOrder.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="purchaseOrder.internalId" disabled>
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.IdInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}}</option>
                        </select>
                    </div>
                </div>
            </div>

            <br><br><br>

            <div class="row">                
                <div class="col-sm-12">
                    <p-dataTable
                        [value]="orderItems"
                        [editable]="true"
                        [rows]="itemsPerPage"
                        [paginator]="true"
                        [pageLinks]="5"
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="totalItems"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="idOrder"
                        expandableRows="false">
                        <p-header>
                            <jhi-alert></jhi-alert>
                            <h5 class="pull-left">Detail Parts</h5>
                        </p-header>
                        <p-column header="Nomor Parts" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Nama Parts" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Available Stock" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Stock Level" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Minimum Stock" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Qty Request" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                        <p-column header="Keterangan" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body"></ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
            </div>
        </div>
    
        <p-footer>
            <button type="button" (click)="previousState()" class="btn btn-secondary">
                <span>Back</span>
            </button>
            <button type="button" (click)="confirmReject=true" class="btn btn-secondary">
                <span>Reject</span>
            </button>
            <button type="button" (click)="confirmApprove=true" class="btn btn-primary">
                <span>Approve</span>
            </button>
        </p-footer>
    </p-panel>
</form>

<p-dialog header="Konfirmasi Approval" [(visible)]="confirmApprove" modal="true">
    <div class="row">
        <div class="col-sm-12">
            <p>Apakah anda yakin untuk approve {{purchaseOrder.orderNumber}}?</p>
            <p>Tanggal :{{purchaseOrder.dateOrder | date:'dd MMM yyyy'}}</p>
            <p>Vendor :{{purchaseOrder.vendorIdVendor}}</p>
            <p>Tipe :{{purchaseOrder.orderTypeDescription}}</p>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <button type="button" (click)="confirmApprove = false" class="btn btn-primary">
                <span>Cancel</span>
            </button>
            <button type="button" (click)="approve()" class="btn btn-primary">
                <span>Approve</span>
            </button>
        </div>
    </div>
</p-dialog>

<p-dialog header="Konfirmasi Reject" [(visible)]="confirmReject" modal="true">
    <div class="row">
        <div class="col-sm-12">
            <p>Apakah anda yakin untuk approve {{purchaseOrder.orderNumber}}?</p>
            <p>Tanggal :{{purchaseOrder.dateOrder | date:'dd MMM yyyy'}}</p>
            <p>Vendor :{{purchaseOrder.vendorIdVendor}}</p>
            <p>Tipe :{{purchaseOrder.orderTypeDescription}}</p>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <button type="button" (click)="confirmReject = false" class="btn btn-primary">
                <span>Cancel</span>
            </button>
            <button type="button" (click)="reject()" class="btn btn-primary">
                <span>Reject</span>
            </button>
        </div>
    </div>
</p-dialog>